def CreateDataInst():
    import weka.core.Attribute as Attribute
    import weka.core.FastVector as FastVector
    import weka.core.Instances as Instances
    
    Attribute1 = Attribute('Feature1')
    Attribute2 = Attribute('Feature2')
    Attribute3 = Attribute('Feature3')

#Declare the class attribute along with its values
    fvClassVal = FastVector(3)
    fvClassVal.addElement('ClassI') # islet == 0
    fvClassVal.addElement('ClassB') # background == 1
    fvClassVal.addElement('ClassE') # background == 0.5
    ClassAttribute = Attribute('theClass', fvClassVal)

#Declare the feature vector
    fvWekaAttributesTst = FastVector(3)
    fvWekaAttributesTst.addElement(Attribute1)    
    fvWekaAttributesTst.addElement(Attribute2)    
    fvWekaAttributesTst.addElement(Attribute3) 
    fvWekaAttributesTst.addElement(ClassAttribute)

#Create an empty testing set
    isTestingSet = Instances("Rel2", fvWekaAttributesTst, 10)           
#Set class index
    isTestingSet.setClassIndex(3)
    return isTestingSet

def PixProbFun(pixels,labelProb):
   IslBkgProb = [0]*len(pixels)
   PixIslProb = [0]*len(pixels)
   PixBkgProb = [0]*len(pixels)
   PixExoProb = [0]*len(pixels)
   for p in range(len(pixels)):
       IslBkgProb = labelProb[p]
       PixIslProb[p]  = IslBkgProb[0]
       PixBkgProb[p]  = IslBkgProb[1]
       PixExoProb[p]  = IslBkgProb[2]
   return PixIslProb, PixBkgProb, PixExoProb
   